Description

When thinking about co-locating daemons, we also have to think about the ports used by daemons:

Automatically change ports, when deploying daemons? (MONs?)

Prevent port conflicts in the scheduler (RGW)

Expose which ports are used by which daemon in the orch CLI

Allow co-location, if we don't have conflicts?

Related issues:

Related to Orchestrator - Feature #45652: cephadm: Allow user to select monit... Duplicate

Related to Orchestrator - Feature #45876: cephadm: handle port conflicts grac... New

Blocks Orchestrator - Feature #47145: cephadm: Multiple daemons of the same s... Closed

Blocks Orchestrator - Feature #45996: adopted prometheus instance uses port 9... New

History

#1 - 02/11/2021 11:04 AM - Sebastian Wagner

- Blocks Feature #47145: cephadm: Multiple daemons of the same service on single host added

#2 - 02/11/2021 11:08 AM - Sebastian Wagner

cat montioring.yaml

service_type: prometheus

placement:

  hosts:

  - label: monitoring

---

service_type: node-exporter

---

service_type: alertmanager

placement:

  hosts:

    label: monitoring

---

service_type: grafana

placement:

  hosts:

    label: monitoring

ceph orch apply -i monitoring.yaml

 

Juan Miguel, do you need anything else?
#3 - 02/11/2021 11:30 AM - Sebastian Wagner

- Blocks Feature #45996: adopted prometheus instance uses port 9095, regardless of original port number added

#4 - 02/11/2021 11:30 AM - Sebastian Wagner

- Related to Feature #45652: cephadm: Allow user to select monitoring stack ports added

#5 - 02/11/2021 12:16 PM - Sebastian Wagner

- Related to Feature #45876: cephadm: handle port conflicts gracefully added

#6 - 03/10/2021 02:16 PM - Sebastian Wagner

- Status changed from New to Fix Under Review

- Assignee set to Sage Weil

- Pull request ID set to 39931

#7 - 04/02/2021 10:40 PM - Sebastian Wagner

- Status changed from Fix Under Review to Closed
